Bug 856825 - Review Request: pdns - PowerDNS Update to 3.1
Review Request: pdns - PowerDNS Update to 3.1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pdns (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Morten Stevens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 16:59 EDT by Morten Stevens
Modified: 2012-10-15 02:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 02:25:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Morten Stevens 2012-09-12 16:59:50 EDT
Spec URL: http://oss.imt-systems.com/mstevens/fedora/pdns/pdns.spec
SRPM URL: http://oss.imt-systems.com/mstevens/fedora/pdns/pdns-3.1-1.fc18.src.rpm
Fedora Account System Username: mstevens

Description:
I have seen that there are currently no pdns (PowerDNS) packages for Fedora 18. Koji builds failed due building problems with MongodDB.
See: http://koji.fedoraproject.org/koji/packageinfo?packageID=2744

Apparently there is no maintainer for pdns?

I have updated pdns to the latest upstream version 3.1. Furthermore, I have removed MongoDB support due build problems.

My updated packages are working properly with fc16, fc17 and fc18 and can be build with mock / koji without errors.

Here are my pdns 3.1 packages for Fedora:

FC16 Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4477817
FC17 Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4477829
FC18 Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4477832

If interested, I would take care and maintain the pdns packages for fedora?

Best regards,

Morten
Comment 1 Matthias Runge 2012-09-13 03:17:02 EDT
Morton,

actually, there's already a package pdns, but you're also right, it fails to build. 
https://admin.fedoraproject.org/pkgdb/acls/name/pdns
and 
http://koji.fedoraproject.org/koji/packageinfo?packageID=2744

However, contribution is still valuable, you should request co-maintainership for this package.
Comment 2 Fedora Admin XMLRPC Client 2012-10-06 10:23:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.